
-- index usage
select * from sys.dm_db_index_usage_stats

-- display aggregate missing index information
select *
from sys.dm_db_missing_index_group_stats migs,
	 sys.dm_db_missing_index_groups mig,
     sys.dm_db_missing_index_details mid
where migs.group_handle = mig.index_group_handle
and   mig.index_handle = mid.index_handle
order by 
     user_seeks * avg_total_user_cost * avg_user_impact

use pubs
go

-- info about indexes
exec sp_helpindex authors
-- info about stats
exec sp_helpstats authors
-- display info about statistics
dbcc show_statistics(authors, _WA_Sys_00000006_7B905C75)