use pubs
go

select * from authors
	where au_id NOT IN (SELECT au_id 
				FROM titleauthor)

select * from authors a
	LEFT OUTER JOIN titleauthor ta 
		ON ta.au_id = a.au_id
WHERE ta.au_id IS NULL

/* third query is USUALLY the best choice */
select * from authors a
	where NOT EXISTS (SELECT * 
				FROM titleauthor ta 
				WHERE ta.au_id = a.au_id)

/* using except */
select * from authors where au_id in
(
select au_id from authors a
except
select au_id from titleauthor 
)
